<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" id="tech-avahi" xml:lang="ca">

  <info>
    <link type="guide" xref="tech" group="avahi"/>

    <credit type="author copyright">
      <name>Federico Mena Quintero</name>
      <email its:translate="no">federico@gnome.org</email>
      <years>2013</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="cc-by-sa-3-0.xml"/>

    <desc>Zeroconf service discovery on local networks</desc>
  </info>

<title>Avahi</title>

  <p>Avahi implements <link href="http://www.zeroconf.org/">Zeroconf</link>
  Networking. It allows programs to discover services like printers on local
  networks without prior configuration. It also allows applications to set up
  services that are reachable through the local network without configuration;
  for example, a chat program that "finds" other chat users in a LAN without
  having to set up a central chat server first.</p>

  <p>Avahi is an implementation of the <link href="http://www.dns-sd.org/">DNS
  Service Discovery</link> and
  <link href="http://www.multicastdns.org/">Multicast DNS</link>
  specifications, which are part of
  <link href="http://www.zeroconf.org/">Zeroconf</link> Networking.</p>

  <p>Various programs in GNOME use Avahi to discover services. Gnome-user-share
  (a module for the Nautilus file manager) lets users of a local network to
  share files with each other, and it finds computers that are sharing files
  via Avahi. Vino, a remote-desktop viewer, uses Avahi to find remote desktop
  servers. <link xref="tech-pulseaudio">PulseAudio</link>, GNOME's low-level
  audio API, uses Avahi to make it possible to route sound through local
  networks.</p>

  <list style="compact">
    <item><p><link href="http://avahi.org/wiki/ProgrammingDocs">Avahi reference documentation</link></p></item>
  </list>

</page>
